#pragma once
#include <DxLib.h>

namespace DXFW
{
///	<summary>処理の停止クラス</summary>
///	<example>
///	[サンプルコード:未完成]<BR>
/// サンプル説明<BR>
///	<code>
///	int WINAPI WinMain( HINSTANCE hInstance, HINSTANCE hPrevInstance,LPSTR lpCmdLine, int nCmdShow )<BR>
///	{<BR>
///		if( !Dx::Initialise() ) return -1;<BR>
///		Dx::End();<BR>
///		return 0;<BR>
/// }<BR>
/// </code>	
/// </example>
class Wait
{
private:
	Wait();
	~Wait();
public:
	
	///<summary>指定ミリ秒実行を停止</summary>
	static bool Timer(int waitTime)
	{
		return !DxLib::WaitTimer(waitTime);
	}
	
	/// <summary>垂直同期信号を待つ</summary>
	static bool VSync(int syncNum)
	{
		return !DxLib::WaitVSync(syncNum);
	}
	
	/// <summary>キーを入力を待つ</summary>
	static bool PushKey()
	{
		return !DxLib::WaitKey();
	}
};
}
